<div class="view-container ${srffilepath2(view.getCodeName())}<#if view.getPSSysCss?? && view.getPSSysCss()??> ${view.getPSSysCss().getCssName()}</#if>">
    <card class='view-card' dis-hover={true} padding={0} bordered={false}>
        <div class="content-container pickup-view">
       
            <div class="translate-contant">
                <div class="center">
                <#if view.hasPSControl('pickupviewpanel')>
                    ${P.getCtrlCode('pickupviewpanel', 'CONTROL.html').code}
                </#if>
                </div>
                <div class="translate-buttons">
                    <div class="buttons">
                        <i-button type="primary" title={this.containerModel.view_rightbtn.text}
                            disabled={this.containerModel.view_rightbtn.disabled}
                            on-click={() => this.onCLickRight()}>
                            <i class="el-icon-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" title={this.containerModel.view_leftbtn.text}
                            disabled={this.containerModel.view_leftbtn.disabled}
                            on-click={() => this.onCLickLeft()}>
                            <i class="el-icon-arrow-left"></i>
                        </i-button>
                        <i-button type="primary" title={this.containerModel.view_allrightbtn.text}
                            on-click={() => this.onCLickAllRight()}>
                            <i class="el-icon-d-arrow-right"></i>
                        </i-button>
                        <i-button type="primary" title={this.containerModel.view_allleftbtn.text}
                            on-click={() => this.onCLickAllLeft()}>
                            <i class="el-icon-d-arrow-left"></i>
                        </i-button>

                    </div>
                </div>
                <div class="right">
                    <div class="mpicker-select">
                        {
                            this.viewSelections.map((item: any) => {
                                return (
                                    <div class={item._select ? 'select' : ''}
                                        on-click={() => this.selectionsClick(item)}
                                        on-dblclick={() => this.selectionsDBLClick(item)}>
                                        <span>{item.srfmajortext}</span>
                                    </div>
                                );
                            })
                        }
                    </div>
                </div>
            </div>

             <card dis-hover={true} bordered={false} class="footer">
                <row style={{ textAlign: 'right' }}>
                    <i-button type="primary"  disabled={this.viewSelections.length > 0 ? false : true} 
                            on-click={() => this.onClickOk()}>{this.containerModel.view_okbtn.text}</i-button>
                            &nbsp;&nbsp;
                    <i-button on-click={() => this.onClickCancel()}>{this.containerModel.view_cancelbtn.text}</i-button>
                </row>
            </card>
        </div>
    </card>
</div>